libproxy

Wayne Blaszczyk wblaszcz at bigpond.net.au
Fri Jul 31 04:30:12 PDT 2009


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Bruce Dubbs wrote:
> I'm a bit confused about this package.  The instructions are:
> 
> ./configure --prefix=/usr &&
> make
> make install
> 
> But the Command Explanations list:
> 
> --with-gnome: This option builds the GNOME configuration plugin.
> --with-kde: This option builds the KDE configuration plugin.
> --with-webkit: This option builds the WebKit JavaScriptCore PAC runner plugin.
> --with-mozjs: This option builds the Mozilla JavaScript PAC runner plugin.
> --with-networkmanager: This option builds the NetworkManager plugin.
> --with-python: This option builds the Python bindings.
> 
> In addition, the dependencies do not mention gnome, kde, or mozilla (firefox, 
> seamonke, thunderbird, etc)
> 
> I think that the command explanations need to be expanded to make it more clear 
> when the listed options should be used.
> 
>    -- Bruce
The parameters are optional therefore they are not part of the
instructions. The dependencies are listed. with-gnome requires
GConf-2.26.2 only, with-kde requires X Window System only, and
with-mozjs requires Xulrunner-1.9.0.7. What I did leave out was that
Xulrunner can be replaced by Firefox, etc, or any other application that
contains libmozjs.so (from memory). I'll put this on the todo list. I
believe most if not all of these options are redundant as they are all
auto detecting by default.
Regards,
Wayne.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFKctXEhfgHoRhX2wIRAjHSAKDJZwYBEJuQJJv7xa+5jvPzwDuz/QCfdkAF
9WHyqiv9dgs5anYz93cb39Q=
=rDYG
-----END PGP SIGNATURE-----



More information about the blfs-dev mailing list